[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#280092: libxrender-dev: Installed libXrender.la is not correct

On Sun, Nov 07, 2004 at 08:44:02AM +0200, ismail donmez wrote:
> This package installs two libXRender.la file :
> /usr/X11R6/lib/libXrender.la
> /usr/lib/libXrender.la
> /usr/X11R6/lib/libXrender.la has 
> libdir='/usr/lib'
> which is wrong. And only one libXrender.la should be installed not two.

Ah, that's what it was -- I remember hitting this problem, but thought
it was with the pkgconfig file, so didn't chase it up further.

Instead of building the library with --prefix=/usr, something consistent
needs to be done about it -- either it's in /usr, or it's in /usr/X11R6.
Branden, would you like me to make an upload, fixing this and also
updating to the latest Render/Xrender versions, as I have already done
for Ubuntu?

Daniel Stone                                                <daniels@debian.org>

Attachment: signature.asc
Description: Digital signature

Reply to: